Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Botan::EMSA1 Class Reference

`#include <emsa1.h>`

Inheritance diagram for Botan::EMSA1:

## Public Member Functions
EMSA * | clone () override
| EMSA1 (HashFunction *hash)

## Protected Member Functions
size_t | hash_output_length () const

## Protected Attributes
std::unique_ptr< HashFunction > | m_hash

## Detailed Description

EMSA1 from IEEE 1363 Essentially, sign the hash directly

Definition at line 20 of file emsa1.h.

## Constructor & Destructor Documentation

Botan::EMSA1::EMSA1 | ( | HashFunction * | hash | ) |
| inline explicit

Parameters

  hash | the hash function to use

Definition at line 26 of file emsa1.h.

Referenced by clone().

26 : m_hash(hash) {}
Botan::EMSA1::m_hash
std::unique_ptr< HashFunction > m_hash
Definition: emsa1.h:33
hash
MechanismType hash
Definition: p11_mechanism.cpp:63

## Member Function Documentation

EMSA * Botan::EMSA1::clone | ( |  | ) |
| override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 43 of file emsa1.cpp.

References EMSA1(), and m_hash.

44 {
45 return new EMSA1(m_hash->clone());
46 }
Botan::EMSA1::EMSA1
EMSA1(HashFunction *hash)
Definition: emsa1.h:26
Botan::EMSA1::m_hash
std::unique_ptr< HashFunction > m_hash
Definition: emsa1.h:33

size_t Botan::EMSA1::hash_output_length | ( |  | ) | const
| inline protected

Definition at line 31 of file emsa1.h.

References m_hash.

31 { return m_hash->output_length(); }
Botan::EMSA1::m_hash
std::unique_ptr< HashFunction > m_hash
Definition: emsa1.h:33

## Member Data Documentation

std::unique_ptr<HashFunction> Botan::EMSA1::m_hash
| protected

Definition at line 33 of file emsa1.h.

Referenced by clone().

The documentation for this class was generated from the following files:

- src/lib/pk_pad/emsa1/emsa1.h
- src/lib/pk_pad/emsa1/emsa1.cpp